#
# Script option descriptions
#

buildcol.allclassifications:Don't remove empty classifications.

buildcol.archivedir:Where the archives live.

buildcol.builddir:Where to put the built indexes.

buildcol.cachedir:Collection will be temporarily built here before being copied to the build directory.

buildcol.collectdir:Collection directory.

buildcol.create_images:Attempt to create default images for new collection. This relies on the Gimp being installed along with relevant perl modules to allow scripting from perl.

buildcol.debug:Print output to STDOUT.

buildcol.faillog:Fail log filename. This log receives the filenames of any files which fail to be processed.

buildcol.index:Index to build (will build all in config file if not set).

buildcol.keepold:Will not destroy the current contents of the building directory.

buildcol.maxdocs:Maximum number of documents to build.

buildcol.mode:The parts of the building process to carry out.
buildcol.mode.all:Do everything.
buildcol.mode.build_index:Just index the text.
buildcol.mode.compress_text:Just compress the text.
buildcol.mode.infodb:Just build the metadata database.

buildcol.no_strip_html:Do not strip the html tags from the indexed text (only used for mgpp collections).

buildcol.no_text:Don't store compressed text. This option is useful for minimizing the size of the built indexes if you intend always to display the original documents at run time (i.e. you won't be able to retrieve the compressed text version).

buildcol.out:Filename or handle to print output status to.

buildcol.verbosity:Controls the quantity of output. 0=none, 3=lots.

import.archivedir:Where the converted material ends up.

import.collectdir:Collection directory.

import.debug:Print imported text to STDOUT.

import.faillog:Fail log filename. This log receives the filenames of any files which fail to be processed.

import.groupsize:Number of import documents to group into one XML file.

import.gzip:Use gzip to compress resulting xml documents (don't forget to include ZIPPlug in your plugin list when building from compressed documents).

import.importdir:Where the original material lives.

import.keepold:Will not destroy the current contents of the archives directory (the default).

import.maxdocs:Maximum number of documents to import.

import.OIDtype:The method to use when generating unique identifiers for each document.
import.OIDtype.hash:Hashes the contents of the file. Document identifier will be the same every time the collection is imported.
import.OIDtype.incremental:A simple document count that is significantly faster than "hash". It is not guaranteed to always assign the same identifier to a given document though and does not allow further documents to be added to existing xml archives.

import.out:Filename or handle to print output status to.

import.removeold:Will remove the old contents of the archives directory -- use with care.

import.sortmeta:Sort documents alphabetically by metadata for building. This will be disabled if groupsize > 1.

import.statsfile:Filename or handle to print import statistics to.

import.verbosity:Controls the quantity of output. 0=none, 3=lots.

mkcol.about:The about text for the collection.

mkcol.collectdir:Directory where new collection will be created.

mkcol.creator:The collection creator's e-mail address.

mkcol.maintainer:The collection maintainer's email address (if different from the creator).

mkcol.optionfile:Get options from file, useful on systems where long command lines may cause problems.

mkcol.plugin:Perl plugin module to use (there may be multiple plugin entries).

mkcol.public:If this collection has anonymous access (true/false).

mkcol.quiet:Operate quietly.

mkcol.title:The title of the collection.

scripts.language:Language to display option descriptions in (eg. 'en_US' specifies American English). Requires translations of the option descriptions to exist in the perllib/strings_language-code.rb file.


#
# Classifier option descriptions
#

AZCompactList.buttonname:Button name for this classification.

AZCompactList.doclevel:Level to process document at.
AZCompactList.doclevel.top:Whole document.
AZCompactList.doclevel.section:By sections.

AZCompactList.freqsort:Sort by node frequency rather than alpha-numeric.

AZCompactList.metadata:Metadata field used for classification. List will be sorted by this element.

AZCompactList.maxcompact:Maximum number of documents to be displayed per page.

AZCompactList.mincompact:Minimum number of documents to be displayed per page.

AZCompactList.mingroup:The smallest value that will cause a group in the hierarchy to form.

AZCompactList.minnesting:The smallest value that will cause a list to be converted into a nested list.

AZCompactList.onlyfirst:Control whether all or only first metadata value used from array of metadata.

AZCompactList.removeprefix:A prefix to ignore in the Metadata values for the field when sorting.

AZList.buttonname:Button name for this classification.

AZList.metadata:Metadata field used for classification. List will be sorted by this element.

AZList.removeprefix:A prefix to ignore in the Metadata values for the field when sorting.

BasClas.builddir:Where to put the built indexes.

BasClas.outhandle:The file handle to write output to.

BasClas.verbosity:Controls the quantity of output. 0=none, 3=lots.

DateList.bymonth:Classify by year and month.

Hierarchy.buttonname:Title field for this classification.

Hierarchy.hfile:The classification structure file.

Hierarchy.hlist_at_top:Display the first level of the classification horizontally.

Hierarchy.metadata:Metadata field used for classification. List will be sorted by this element, unless -sort is used.

Hierarchy.sort:Metadata field to sort by. Use '-sort nosort' for no sorting.

HTML.buttonname:The title field for this classification.

HTML.url:The url of the web page to link to.

List.buttonname:Button name for this classification.

List.metadata:Metadata field used for classification. List will be sorted by this element.

List.sort:Metadata field to sort by. If not set, sorts in build (random) order.

Phind.button:The label for the classifier screen and button in navigation bar.

Phind.language:Language or languages to use building hierarchy. Languages are identified by two-letter country codes like en (English), es (Spanish), and fr (French). Language is a regular expression, so 'en|fr' (English or French) and '..' (match any language) are valid.

Phind.savephrases:If set, the phrase infomation will be stored in the given file as text. It is probably a good idea to use an absolute path.

Phind.suffixmode:The smode parameter to the phrase extraction program. A value of 0 means that stopwords are ignored, and of 1 means that stopwords are used.

Phind.text:The text used to build the phrase hierarchy.

Phind.thesaurus:Name of a thesaurus stored in Phind format in the collection's etc directory.

Phind.title:The metadata field used to describe each document.

Phind.untidy:Don't remove working files.


#
# Plugin option descriptions
#

BasPlug.block_exp:Files matching this regular expression will be blocked from being passed to any later plugins in the list. This has no real effect other than to prevent lots of warning messages about input files you don't care about. Each plugin might have a default block_exp. e.g. by default HTMLPlug blocks any files with .gif, .jpg, .jpeg, .png or .css file extensions.

BasPlug.cover_image:Will look for a prefix.jpg file (where prefix is the same prefix as the file being processed) and associate it as a cover image.

BasPlug.default_encoding:Use this encoding if -input_encoding is set to 'auto' and the text categorization algorithm fails to extract the encoding or extracts an encoding unsupported by Greenstone.

BasPlug.default_language:If Greenstone fails to work out what language a document is the 'Language' metadata element will be set to this value. The default is 'en' (ISO 639 language symbols are used: en = English). Note that if -input_encoding is not set to 'auto' and -extract_language is not set, all documents will have their 'Language' metadata set to this value.

BasPlug.extract_acronyms:Extract acronyms from within text and set as metadata.

BasPlug.extract_email:Extract email addresses as metadata.

BasPlug.extract_historical_years:Extract time-period information from historical documents.  This is stored as metadata with the document. There is a search interface for this metadata, which you can include in your collection by adding the statement, "format QueryInterface DateSearch" to your collection configuration file.

BasPlug.extract_language:Identify the language of each document and set 'Language' metadata. Note that this will be done automatically if -input_encoding is 'auto'.

BasPlug.first:Comma separated list of first sizes to extract from the text into a metadata field. The field is called 'FirstNNN'.

BasPlug.input_encoding:The encoding of the source documents. Documents will be converted from these encodings and stored internally as utf8.
BasPlug.input_encoding.ascii:Plain 7 bit ascii. This may be a bit faster than using iso_8859_1. Beware of using this on a collection of documents that may contain characters outside the plain 7 bit ascii set though (e.g. German or French documents containing accents), use iso_8859_1 instead.
BasPlug.input_encoding.auto:Use text categorization algorithm to automatically identify the encoding of each source document. This will be slower than explicitly setting the encoding but will work where more than one encoding is used within the same collection.
BasPlug.input_encoding.unicode:Just unicode.
BasPlug.input_encoding.utf8:Either utf8 or unicode -- automatically detected.

BasPlug.markup_acronyms:Add acronym metadata into document text.

BasPlug.maximum_century:The maximum named century to be extracted as historical metadata (e.g. 14 will extract all references up to the 14th century).

BasPlug.maximum_year:The maximum historical date to be used as metadata (in a Common Era date, such as 1950).

BasPlug.no_bibliography:Do not try to block bibliographic dates when extracting historical dates.

BasPlug.process_exp:A perl regular expression to match against filenames. Matching filenames will be processed by this plugin. For example, using '(?i).html?\$' matches all documents ending in .htm or .html (case-insensitive).

ConvertToPlug.convert_to:Plugin converts to TEXT or HTML.
ConvertToPlug.convert_to.html:HTML format.
ConvertToPlug.convert_to.text:Plain text format.

ConvertToPlug.use_strings:If set, a simple strings function will be called to extract text if the conversion utility fails.

DBPlug.title_sub:Substitution expression to modify string stored as Title. Used by, for example, PSPlug to remove "Page 1" etc from text used as the title.

EMAILPlug.no_attachments:Do not save message attachments.

EMAILPlug.split_exp:A perl regular expression used to split files containing many messages into individual documents.

HTMLPlug.assoc_files:Perl regular expression of file extensions to associate with html documents.

HTMLPlug.description_tags:Split document into sub-sections where <Section> tags occur. Note that by setting this option you implicitly set -no_metadata, as all metadata should be included within the <Section> tags. Also, '-keep_head' will have no effect when this option is set.

HTMLPlug.file_is_url:Set if input filenames make up url of original source documents e.g. if a web mirroring tool was used to create the import directory structure.

HTMLPlug.hunt_creator_metadata:Find as much metadata as possible on authorship and place it in the 'Creator' field. Requires the -metadata_fields flag.

HTMLPlug.keep_head:Don't remove headers from html files.

HTMLPlug.metadata_fields:Comma separated list of metadata fields to attempt to extract. Use 'tag<tagname>' to have the contents of the first <tagname> pair put in a metadata element called 'tagname'. Capitalise this as you want the metadata capitalised in Greenstone, since the tag extraction is case insensitive.

HTMLPlug.no_metadata:Don't attempt to extract any metadata from files.

HTMLPlug.nolinks:Don't make any attempt to trap links (setting this flag may improve speed of building/importing but any relative links within documents will be broken).

HTMLPlug.rename_assoc_files:Renames files associated with documents (e.g. images). Also creates much shallower directory structure (useful when creating collections to go on cd-rom).

HTMLPlug.title_sub:Substitution expression to modify string stored as Title. Used by, for example, PDFPlug to remove "Page 1", etc from text used as the title.

ImagePlug.converttotype:Convert main image to.

ImagePlug.minimumsize:Ignore images smaller than n bytes.

ImagePlug.noscaleup:Don't scale up small images when making thumbnails.

ImagePlug.screenviewsize:If set, makes an image of size n for screen display and sets Screen, ScreenSize, ScreenWidth and ScreenHeight metadata.  By default it is not set.

ImagePlug.screenviewtype:If -screenviewsize is set, this sets the screen display image type.

ImagePlug.thumbnailsize:Make thumbnails of size nxn.

ImagePlug.thumbnailtype:Make thumbnails in format 's'.

MARCPlug.metadata_mapping:Name of file that includes mapping details from MARC values to Greenstone metadata names. Defaults to 'marctodc.txt' found in the site's etc directory.

PDFPlug.complex:Create more complex output. With this option set the output html will look much more like the original PDF file. For this to function properly you Ghostscript installed (for *nix gs should be on your path while for windows you must have gswin32c.exe on your path).

PDFPlug.nohidden:Prevent pdftohtml from attempting to extract hidden text. This is only useful if the -complex option is also set.

PDFPlug.noimages:Don't attempt to extract images from PDF.

PDFPlug.use_sections:Create a separate section for each page of the PDF file.

PDFPlug.zoom:The factor by which to zoom the PDF for output (this is only useful if -complex is set).

PSPlug.extract_date:Extract date from PS header.

PSPlug.extract_pages:Extract pages from PS header.

PSPlug.extract_title:Extract title from PS header.

RecPlug.use_metadata_files:Read metadata from metadata XML files.

SRCPlug.remove_prefix:Remove this leading pattern from the filename (eg -remove_prefix /tmp/XX/src/). The default is to remove the whole path from the filename.

SplitPlug.split_exp:A perl regular expression to split input files into segments.

TEXTPlug.title_sub:Substitution expression to modify string stored as Title. Used by, for example, PSPlug to remove "Page 1" etc from text used as the title.

UnknownPlug.assoc_field:Name of the metadata field that will hold the associated file's name.

UnknownPlug.file_type:Mime type of the file (e.g. image/gif).

W3ImgPlug.aggressiveness:Range of related text extraction techniques to use.
W3ImgPlug.aggressiveness.1:Filename, path, ALT text only.
W3ImgPlug.aggressiveness.2:All of 1, plus caption where available.
W3ImgPlug.aggressiveness.3:All of 2, plus near paragraphs where available.
W3ImgPlug.aggressiveness.4:All of 3, plus previous headers (<h1>, <h2>...) where available.
W3ImgPlug.aggressiveness.5:All of 4, plus textual references where available.
W3ImgPlug.aggressiveness.6:All of 4, plus page metatags (title, keywords, etc).
W3ImgPlug.aggressiveness.7:All of 6, 5 and 4 combined.
W3ImgPlug.aggressiveness.8:All of 7, plus repeat caption, filename, etc (raise ranking of more relevant results).
W3ImgPlug.aggressiveness.9:All of 1, plus full text of source page.

W3ImgPlug.caption_length:Maximum length of captions (in characters).

W3ImgPlug.convert_params:Additional parameters for ImageMagicK convert on thumbnail creation. For example, '-raise' will give a three dimensional effect to thumbnail images.

W3ImgPlug.document_text:Add image text as document:text (otherwise IndexedText metadata field).

W3ImgPlug.index_pages:Index the pages along with the images. Otherwise reference the pages at the source URL.

W3ImgPlug.max_near_text:Maximum characters near images to extract.

W3ImgPlug.min_height:Pixels. Skip images shorter than this.

W3ImgPlug.min_near_text:Minimum characters of near text or caption to extract.

W3ImgPlug.min_size:Bytes. Skip images smaller than this.

W3ImgPlug.min_width:Pixels. Skip images narrower than this.

W3ImgPlug.neartext_length:Target length of near text (in characters).

W3ImgPlug.no_cache_images:Don't cache images (point to URL of original).

W3ImgPlug.smallpage_threshold:Images on pages smaller than this (bytes) will have the page (title, keywords, etc) meta-data added.

W3ImgPlug.textrefs_threshold:Threshold for textual references. Lower values mean the algorithm is less strict.

W3ImgPlug.thumb_size:Max thumbnail size. Both width and height.
