<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
  extension-element-prefixes="java util"
  exclude-result-prefixes="java util">
  
  <!-- style includes global params interface_name, library_name -->
  <xsl:include href="style.xsl"/>
  <xsl:include href="service-params.xsl"/>
  <xsl:include href="querytools.xsl"/>
  
  <xsl:output method="html"/>

  <xsl:template name="pageHead">
    <head>
      <title>
	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/>
      </title>
    </head>
  </xsl:template>

  <xsl:template match="pageResponse">
    <xsl:variable name="collName"><xsl:value-of select="/page/pageRequest/paramList/param[@name='c']/@value"/></xsl:variable>
    <center>
      <xsl:call-template name="collectionPageBanner">
	<xsl:with-param name="collName" select="$collName"/>
      </xsl:call-template>
      <xsl:apply-templates select="service">
	<xsl:with-param name="collName" select="$collName"/>
      </xsl:apply-templates>
    </center>

    <xsl:if test="documentNodeList">
      <xsl:call-template name="query-response">
	<xsl:with-param name="collName" select="$collName"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:call-template name="greenBar"/>
  </xsl:template>


  <!-- layout the response -->
  <xsl:template name="query-response">
    <xsl:param name="collName"/>
    <xsl:call-template name="greenBarResults"/>
    
    <!-- If query term information is available, display it -->
    <br/>
    <xsl:call-template name="termInfo"/>
    <xsl:call-template name="matchDocs"/>
    
    <!-- next and prev links at top of results-->
    <xsl:call-template name="resultNavigation"/>
    <!-- Display the matching documents -->
    <xsl:call-template name="resultList">
      <xsl:with-param name="collName" select="$collName"/>
    </xsl:call-template>
    <!-- next and prev links at bottom of page -->
    <xsl:call-template name="resultNavigation"/>
  </xsl:template>
  

  <xsl:template match="service">
    <xsl:param name="collName"/>
    <xsl:variable name="subaction" select="../pageRequest/@subaction"/>
    <h3><xsl:value-of select="displayItem[@name='name']"/></h3><p/>
    <form name="QueryForm" method="get" action="/gsdl3/{$library_name}">
      <input type="hidden" name="a" value="q"/>
      <input type="hidden" name="sa" value="{$subaction}"/>
      <input type="hidden" name="rt" value="r"/>
      <input type="hidden" name="s" value="{@name}"/>
      <input type="hidden" name="c" value="{$collName}"/>
      <input type="hidden" name="hn" value="1"/>
      <xsl:apply-templates select="paramList"/>
      <input type="submit"><xsl:attribute name="value"><xsl:value-of select="displayItem[@name='submit']"/></xsl:attribute></input>
    </form>
  </xsl:template>
   
</xsl:stylesheet>  
