<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
  extension-element-prefixes="java util"
  exclude-result-prefixes="java util">

  <xsl:template name="resultNavigation">
    <xsl:variable name="hp"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='hp']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='hp']/@value"/></xsl:when><xsl:otherwise>20</xsl:otherwise></xsl:choose></xsl:variable>
    <xsl:if test="not($hp=-1)">
      <xsl:variable name="hn"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='hn']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='hn']/@value"/></xsl:when><xsl:otherwise>1</xsl:otherwise></xsl:choose></xsl:variable>
      <xsl:variable name="sa" select="/page/pageRequest/@subaction"/>
      <xsl:variable name="prev" select="$hn - 1"/>
      <xsl:variable name="next" select="$hn + 1"/>
      <xsl:variable name="count" select="count(documentNodeList/documentNode)"/>
      <p />
      <center>
	<table cellspacing='0' cellpadding='0' width='537'>
	  <tr>
	    <td align='left'>
	      <xsl:if test="$hn &gt; 1"><a href="{$library_name}?a=q&amp;rt=r&amp;hn={$prev}"><img src="interfaces/default/images/less.gif" width='30' height='16' border='0' align='top'/><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.matches')"/><xsl:text> </xsl:text><xsl:value-of select="number(($prev - 1)*$hp + 1)"/> - <xsl:value-of select="number(($prev * $hp))"/></a></xsl:if>
	    </td>
	    <td align='right'>
	      <xsl:if test="(($hn * $hp) + 1)  &lt; $count">
		<xsl:variable name='m' select="number($next * $hp)"/>
		<xsl:variable name='mm'><xsl:choose><xsl:when test="$m &lt; $count"><xsl:value-of select='$m'/></xsl:when><xsl:otherwise><xsl:value-of select='$count'/></xsl:otherwise></xsl:choose></xsl:variable>
		<a href="{$library_name}?a=q&amp;sa={$sa}&amp;rt=r&amp;hn={$next}"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.matches')"/><xsl:text> </xsl:text><xsl:value-of select="number(($next - 1)*$hp + 1)"/> - <xsl:value-of select="$mm"/><img src="interfaces/default/images/more.gif" width='30' height='16' border='0' align='top'/></a></xsl:if></td> </tr>
	</table>
      </center>
    </xsl:if>
  </xsl:template>
  

  <!-- the default doc node template for the query results -->
  <!-- eventually shouldn't need sib arg here -->
  <xsl:template match="documentNode">
    <xsl:param name="collName"/>
    <td>
      <a><xsl:attribute name="href"><xsl:value-of select='$library_name'/>?a=d&amp;c=<xsl:value-of select='$collName'/>&amp;d=<xsl:value-of select='@nodeID'/><xsl:if test="@nodeType='leaf'">&amp;sib=1</xsl:if>&amp;dt=<xsl:value-of select='@docType'/></xsl:attribute>
	<xsl:apply-templates select="." mode="displayNodeIcon"/>
      </a>
    </td>
    <td><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/></td>
  </xsl:template>
  
  <xsl:template name="greenBarResults">
    <p/>
    <center>
      <img src="interfaces/default/images/qryresb.gif" width="537" height="17"/>
    </center>
  </xsl:template>
  
  <xsl:template name="termInfo">
    <xsl:if test="count(termList/term) > 0">
      <small>
	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.wordcount')"/>
	<xsl:for-each select="termList/term">
	  <xsl:if test="position() > 1">, </xsl:if>
	  <xsl:value-of select="@name"/>: <xsl:value-of select="@freq"/> 
	</xsl:for-each>
      </small>
      <br/>
    </xsl:if>
  </xsl:template>
  
  <xsl:template name="matchDocs">
    <!-- If the number of matching documents is known, display it -->
    <xsl:variable name="numDocsMatched" select="metadataList/metadata[@name='numDocsMatched']/@value"/>
    <xsl:if test="$numDocsMatched">
      <xsl:choose>
	<xsl:when test="$numDocsMatched='0'">
	  <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.nodocsmatch')"/>
	</xsl:when>
	<xsl:when test="$numDocsMatched='1'">
	  <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.onedocsmatch')"/>
	</xsl:when>
	<xsl:otherwise>
	  <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.manydocsmatch', $numDocsMatched)"/>
	</xsl:otherwise>
      </xsl:choose>
    </xsl:if>
  </xsl:template>

  <xsl:template name="resultList">
    <xsl:param name="collName"/>
    <xsl:variable name="hp"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='hp']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='hp']/@value"/></xsl:when><xsl:otherwise>20</xsl:otherwise></xsl:choose></xsl:variable>
    <xsl:variable name="hn" select="/page/pageRequest/paramList/param[@name='hn']/@value"/>      
    <table>
      <tr valign="top">
	<xsl:for-each select="documentNodeList/documentNode">
	  <xsl:if test="$hp=-1 or (position()&gt; (($hn - 1)*$hp) and position() &lt;= ($hn * $hp))">
	    <tr>
	      <xsl:apply-templates select=".">
		<xsl:with-param name="collName" select="$collName"/>
	      </xsl:apply-templates>
	    </tr>
	  </xsl:if>
	</xsl:for-each>
      </tr>
    </table>
  </xsl:template>

</xsl:stylesheet>


