<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
  extension-element-prefixes="java util"
  exclude-result-prefixes="java util">

  <!-- some global parameters - these are set by whoever is invoking the transformation -->
  <xsl:param name="interface_name"/>
  <xsl:param name="library_name"/>

  <!-- the main page layout template is here -->
  <xsl:template match="page">
    <html>
      <xsl:call-template name="pageHead"/>
      <body xsl:use-attribute-sets="body-style">
	<table border="0" cellspacing="0" cellpadding="0" width="100%">
	  <td valign="top" width="65">
	    <img src="interfaces/default/images/spacer.gif" width="65" height="1" alt="" border="0"/>
	  </td>
	  <td>
	  <center>
	    <table width="537">
	      <tr/>
	      <td/>
	      <xsl:apply-templates select="pageResponse"/>
	      <xsl:call-template name="greenstoneFooter"/>
	    </table>
	  </center>
	  </td>
	</table>
      </body>
    </html>
  </xsl:template>

  <xsl:attribute-set name="body-style">
    <xsl:attribute name="bgcolor">#ffffff</xsl:attribute>
    <xsl:attribute name="text">#000000</xsl:attribute>
    <xsl:attribute name="link">#006666</xsl:attribute>
    <xsl:attribute name="alink">#cc9900</xsl:attribute>
    <xsl:attribute name="vlink">#666633</xsl:attribute>
    <xsl:attribute name="background">interfaces/default/images/chalk.gif</xsl:attribute>
  </xsl:attribute-set>
    
  <xsl:template name="greenstonePageBanner">
    <center>
      <table width="537" cellspacing="0" cellpadding="0">
	<tr valign="top">
	  <td rowspan="2" align="left"><center><img src="interfaces/default/images/gsdlhead.gif"><xsl:attribute name="alt"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/></xsl:attribute></img></center></td>
	  <td align="right"></td>
	</tr>
	
	<tr>
	  <td align="right"></td>
	</tr>
	
	<tr>
	  <td colspan="2"></td>
	</tr>
      </table>
      <xsl:call-template name="greenBar"/>

    </center>
    
    <!-- end of page banner -->
    
  </xsl:template>

  <xsl:template name="greenstoneFooter">
    <center>
      <p/>
      <small>powered by greenstone3</small>
    </center>
  </xsl:template>
  
  <!-- just pass in collname cos use it everywhere - saves working it out lots of times -->
  <xsl:template name="collectionPageBanner">
    <xsl:param name="collName"/>
    <xsl:variable name="httpPath" select="/page/pageResponse/collection/metadataList/metadata[@name='httpPath']"/>
    <xsl:variable name="colIcon" select="/page/pageResponse/collection/displayItem[@name='icon']"/>
    <table width="537">
      <tr>
	<td align="left">
	  <a href="{$library_name}?a=p&amp;sa=about&amp;c={$collName}">
	    <img width="150" border="0">
	      <xsl:attribute name="src">
		<xsl:value-of select="$httpPath"/>/images/<xsl:value-of select="$colIcon"/>
	      </xsl:attribute>	
	      <xsl:attribute name="alt">
		<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'aboutpage')"/>
	      </xsl:attribute>
	    </img>
	  </a>
	</td>
	<td align="right">
	  <a href="{$library_name}?a=p&amp;sa=home">
	    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home')"/>
	  </a>
	</td>
      </tr>
    </table>
    
    <xsl:call-template name="greenBar"/>
  </xsl:template>


  <!-- do we want different stuff for cluster or same as collection -->
  <xsl:template name="clusterPageBanner">
    <xsl:param name="clusterName"/>
    <table width="537">
      <tr><td align="left"><a href="{$library_name}?a=p&amp;sa=about&amp;c={$clusterName}"><xsl:value-of select="$clusterName"/></a></td><td align="right"><a href="{$library_name}?a=p&amp;sa=home"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home')"/></a></td></tr></table>
    
    <xsl:call-template name="greenBar"/>
  </xsl:template>
  
  <xsl:template name="greenBar">
    <p/><img src="interfaces/default/images/divb.gif" width="537" height="17"/>
  </xsl:template>
  


  <!-- Display the appropriate image, depending on the node type -->
  <xsl:template match="documentNode" mode="displayNodeIcon">
    
    <!-- Root node: book icon (open or closed) -->
    <xsl:if test="@nodeType='root'">
      <xsl:choose>
	<xsl:when test="documentNode">
	  <img border="0" width="28" height="23"
	    src="interfaces/default/images/openbook.gif"
	    alt="Close this book"/>
	</xsl:when>
	<xsl:otherwise>
	  <img border="0" width="18" height="11"
	    src="interfaces/default/images/book.gif"
	    alt="Open this document and view contents"/>
	</xsl:otherwise>
      </xsl:choose>
    </xsl:if>
    
    <!-- Interior node: folder icon (open or closed) -->
    <xsl:if test="@nodeType='interior'">
      <xsl:choose>
	<xsl:when test="documentNode">
	  <img border="0" width="23" height="15"
	    src="interfaces/default/images/openfldr.gif"
	    alt="Close this folder"/>
	</xsl:when>
	<xsl:otherwise>
	  <img border="0" width="23" height="15"
	    src="interfaces/default/images/clsdfldr.gif"
	    alt="Open this folder and view contents"/>
	</xsl:otherwise>
      </xsl:choose>
    </xsl:if>
    
  <!-- Leaf node: page icon -->
  <xsl:if test="@nodeType='leaf'">
    <img border="0" width="16" height="21"
	 src="interfaces/default/images/itext.gif"
	 alt="View the document"/>
  </xsl:if>
  </xsl:template>

</xsl:stylesheet>  
